gupnp_service_notify
gupnp_service_proxy_action_set
Gupnp Functions
PHP Manual

# gupnp_service_proxy_action_get

(PECL gupnp >= 0.1.0)

gupnp_service_proxy_action_get — Send action to the service and get value

### Description

mixed gupnp_service_proxy_action_get ( resource `$proxy` , string `$action` , string `$name` , int `$type` )

Send action with parameters to the service exposed by proxy synchronously and get value.

### Parameters

`proxy`

  A service proxy identifier.

`action`

  An action.

`name`

  The action name.

`type`

  The type of the variable to retrieve. Type can be one of the following values:

  `GUPNP_TYPE_BOOLEAN`
    Type of the variable is boolean.
  `GUPNP_TYPE_INT`
    Type of the variable is integer.
  `GUPNP_TYPE_LONG`
    Type of the variable is long.
  `GUPNP_TYPE_DOUBLE`
    Type of the variable is double.
  `GUPNP_TYPE_FLOAT`
    Type of the variable is float.
  `GUPNP_TYPE_STRING`
    Type of the variable is string.

### Return Values

Return value of the action.

### Errors/Exceptions

Issues E_WARNING with either not correctly defined type of the action or unable to send action.

### See Also

- gupnp_service_proxy_action_set() - Send action to the service and set value
- gupnp_service_proxy_send_action() - Send action with multiple parameters synchronously

gupnp_service_notify
gupnp_service_proxy_action_set
Gupnp Functions
PHP Manual